View Issue Details

IDProjectCategoryView StatusLast Update
0012521mantisbtfeaturepublic2019-08-30 05:56
Reportercas Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
Status newResolutionopen 
Summary0012521: Script to automatically change status
Description

When an issue is fixed, we give the issue status Resolved.
We then allow the "customer" one week to provide us from any comment.
No comments after one week, this script changes the status to Closed.

Additional Information

This script updates issues with a new status if a certain status is there for more than a number of days

parameters

days => number of days to take into account to raise warning

fromstat => Status that needs to be checked

tostat => Status to be set

muser => Userid from mantis (Integer)

if not passed as parameter, default values 7,80,90,1 are being used

Should run versions 1.0 and above

TagsNo tags attached.

Relationships

has duplicate 0016709 closeddregad Need facility to convert the resolve ticket into the close status balsed on the time . 
has duplicate 0020343 closedatrol close resolved incidents automatically 
has duplicate 0010304 closedatrol Automatic adjustment of status 
has duplicate 0020831 closedatrol Auto closing the Issues with No Response on Status Feedbac- requested 
has duplicate 0026100 closedatrol Auto closure of calls 

Activities

cas

cas

2010-11-08 07:33

reporter  

mk

mk

2016-04-20 02:11

reporter   ~0052982

Dear,

Thank you Very much for the Instant Reply & Support.
I shall be going through the Script and provide the feedback.

Many thanks
MK

Issue History

Date Modified Username Field Change
2010-11-08 07:33 cas New Issue
2010-11-08 07:33 cas File Added: automatic_status_update.zip
2013-12-17 07:51 dregad Relationship added has duplicate 0016709
2015-12-05 16:12 atrol Relationship added has duplicate 0020343
2015-12-05 16:13 atrol Relationship added has duplicate 0010304
2016-04-19 17:48 atrol Relationship added has duplicate 0020831
2016-04-20 02:11 mk Note Added: 0052982
2019-08-30 05:56 atrol Relationship added has duplicate 0026100